:root{
--logo-size:52px;
--actions-width: calc(100% - var(--logo-size));
--code-actions-width: 50%;
--user-actions-width:50%;
--main-width: calc(var(--actions-width) - var(--code-actions-width) );
--header-height: var(--logo-size);
}

/* RESET CSS */
*,*:before,*:after{box-sizing:border-box}
:focus,::focus{outline:0;border:0; }
*:focus {outline:0px none transparent;} 
html,body,div,span,object,iframe,h1,h2,h3,h4,h5,h6,p,
blockquote,pre,abbr,address,cite,code,del,dfn,em,img,ins,kbd,q,samp,
small,strong,sub,sup,var,b,i,dl,dt,dd,ol,ul,li,
fieldset,form,label,legend,table,caption,tbody,tfoot,thead,
tr,th,td,article,aside,canvas,details,figcaption,figure,
footer,header,hgroup,menu,
nav,section,summary,time,mark,audio,video{margin:0;padding:0;border:0;outline:0;font-size:100%;vertical-align:baseline;background:transparent;}
body{line-height:1}
article,aside,details,figcaption,figure,footer,header,hgroup,menu,nav,section{display:block;}
blockquote:before,blockquote:after,q:before,q:after{content:'';content:none}
a{margin:0;padding:0;font-size:100%;vertical-align:baseline;background:transparent}
abbr[title],dfn[title]{border-bottom:1px dotted;cursor:help}
table{border-collapse:collapse;border-spacing:0}
hr{display:block;height:1px;border:0;margin:1em 0;padding:0}
input{cursor: pointer;}
input,select{vertical-align:middle}
button{margin:0;padding:0;border:0; cursor: pointer;}
button:not([disabled]){cursor:pointer}
input:not([disabled]){cursor:text}
textarea{resize: none;}
.clear{clear:both}

.hidden{display:none}
.hide{display:none !important;}

/* Global CLASS like bootstrap */
.fullsize{width:100%;min-width:100%;max-width:100%;height:100%;min-height:100%;max-height:100%;top:0;left:0;right:0;bottom:0;}
.absolute{position:absolute;}
.fixed{position:fixed;}
.relative{position:relative;}
.transparent{background-color: transparent;}
.textfff{color:#FFF;}
.text000{color:#000;}
.bg000{background:#000;}
.bgfff{background:#fff;}
.overhide{overflow:hidden;}
.fheight{height:100%;min-height:100%;max-height:100%;}
.fwidth{width:100%;min-width:100%;max-width:100%;}
.tbrl{top:0;right:0;bottom:0;left:0;}
.mheight{max-height:100%;}
.mwidth{max-width:100%;}
.top0{top:0;}
.right0{right:0;}
.left0{left:0;}
.bottom0{bottom:0;}


/*   ICONS   */
.icons{fill:#333;height:100%;width:100%}
.icon-diamond{fill-rule:evenodd;clip-rule:evenodd;fill:#ddd}
.icon-blog{fill:red;height:100%;width:100%}
.icon-code{fill:purple;height:100%;width:100%}
.icon-todo{fill:#0c5c2e;height:100%;width:100%}
.icon-contact{fill:#194f9b;height:100%;width:100%}
.icon-backup-restore{fill:#0b652c;height:100%;width:100%}
.icon-notes{fill:#c5bd28;height:100%;width:100%}

/* WYSIWYG editor EDITOR */
#add-post-content .icons{padding:0!important;margin:0!important;overflow:hidden!important;width:24px;height:24px;line-height:100%!important;display:inline-block!important;background-size:cover!important;background-repeat:no-repeat!important;background-position:center center!important}
.s28{width:28px;height:28px}
.s32{width:32px;height:32px}
.s100{width:100px;height:100px}
.icon-black-diamond{background-image:url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-28 -25 180 130' xml:space='preserve'%3e%3cpath d='M59.07 96.03 1.15 29.77h38.01l19.91 66.26zM61.18.11 45.89 25.24H77.6L61.18.11zm21 24.96L65.17 0h31.45L82.18 25.07zm-40.53.24L56.55 0H24.61l17.04 25.31zm60.06-22.33L86.67 25.24h36.21L101.71 2.98zm-79.45 0 15.81 22.26H0L22.26 2.98zm22.47 26.59h33.63L62.04 95.04 44.73 29.57zm20.18 66.47 57.23-66.27H84.13L64.91 96.04z' /%3e%3c/svg%3e")}
.icon-login{background-image:url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 256 256'%3e%3crect fill='none' /%3e%3cline x1='128' y1='48' x2='128' y2='124' fill='none' stroke='%23000' stroke-linecap='round' stroke-linejoin='round' stroke-width='20' /%3e%3cpath d='M176,54.2a88,88,0,1,1-96,0' fill='none' stroke='%23000' stroke-linecap='round' stroke-linejoin='round' stroke-width='19' /%3e%3c/svg%3e")}
.icon-debug{background-image:url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 512 512'%3e%3cpath d='M480,304.13v-32H400V215.2c29.42-27.95,32-64.76,32-103.2V96H400v16c0,28-1.86,48.15-9.9,63.84C368,128,324.32,112,256,112c-39.8,0-75.19,7.06-100.43,24.32-14.9,10.19-25.2,24.91-32.7,39.72C114,160.57,112,140.82,112,112V96H80v16c0,37.44,2.59,73.36,32,101.2v58.93H32v32l80-.13c0,19,3.7,53.09,10.39,69.69C96.6,396.76,80,422.31,80,464v16h32V464c0-27.66,9.1-44.71,26.17-61.32C160,448,177,464,240,464V176h32V464c65,0,80-16,101.83-61.32C390.9,419.29,400,436.35,400,464v16h32V464c0-41.68-16.6-67.23-42.39-90.31C396.3,357.09,400,323,400,304Z' /%3e%3cpath d='M256,32c-48.06,0-96,0-96,84,26.12-14,59.35-20,96-20,24.09,0,46.09,2.65,65.39,8,10.75,3,24.66,8.71,30.61,12C352,32,304.06,32,256,32Z' /%3e%3c/svg%3e")}
.icon-assets{background-image:url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3e%3cg%3e%3cpath fill='none' d='M0 0h24v24H0z' /%3e%3cpath d='M24 12l-5.657 5.657-1.414-1.414L21.172 12l-4.243-4.243 1.414-1.414L24 12zM2.828 12l4.243 4.243-1.414 1.414L0 12l5.657-5.657L7.07 7.757 2.828 12zm6.96 9H7.66l6.552-18h2.128L9.788 21z' /%3e%3c/g%3e%3c/svg%3e")}
.icon-settings{background-image:url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' style='color:red' viewBox='0 0 24 24'%3e%3cg%3e%3cpath fill='none' d='M0 0h24v24H0z' /%3e%3cpath d='M9.954 2.21a9.99 9.99 0 0 1 4.091-.002A3.993 3.993 0 0 0 16 5.07a3.993 3.993 0 0 0 3.457.261A9.99 9.99 0 0 1 21.5 8.876 3.993 3.993 0 0 0 20 12c0 1.264.586 2.391 1.502 3.124a10.043 10.043 0 0 1-2.046 3.543 3.993 3.993 0 0 0-3.456.261 3.993 3.993 0 0 0-1.954 2.86 9.99 9.99 0 0 1-4.091.004A3.993 3.993 0 0 0 8 18.927a3.993 3.993 0 0 0-3.457-.26A9.99 9.99 0 0 1 2.5 15.121 3.993 3.993 0 0 0 4 11.999a3.993 3.993 0 0 0-1.502-3.124 10.043 10.043 0 0 1 2.046-3.543A3.993 3.993 0 0 0 8 5.071a3.993 3.993 0 0 0 1.954-2.86zM12 15a3 3 0 1 0 0-6 3 3 0 0 0 0 6z' /%3e%3c/g%3e%3c/svg%3e")}
.icon-tools{background-image:url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 256 256'%3e%3crect width='256' height='256' fill='none'/%3e%3cpath d='M210.9,146.9A72.6,72.6,0,0,1,131,162L79,222.2c-.1.2-.3.3-.4.4a31.9,31.9,0,0,1-45.2,0,31.9,31.9,0,0,1,0-45.2l.4-.4L94,125a72,72,0,0,1,94.1-95.2,7.9,7.9,0,0,1,4.7,5.8,8,8,0,0,1-2.2,7.2L151.7,81.7l3.7,18.9,18.9,3.7,38.9-38.9a8,8,0,0,1,7.2-2.2,7.9,7.9,0,0,1,5.8,4.7A71.7,71.7,0,0,1,210.9,146.9Z'/%3e%3c/svg%3e ")}
.icon-print{background-image:url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3e%3cpath d='M18 8H6a3 3 0 0 0-3 3v6h2v3h14v-3h2v-6a3 3 0 0 0-3-3Zm-1 10H7v-4h10v4Zm.5-5c-.8 0-1.5-.7-1.5-1.5s.7-1.5 1.5-1.5 1.5.7 1.5 1.5-.7 1.5-1.5 1.5Zm.5-8H6v2h12V5Z' fill-rule='nonzero'%3e%3c/path%3e%3c/svg%3e")}
.icon-code{}
.icon-bold{background-image:url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath d='M8.21 13c2.106 0 3.412-1.087 3.412-2.823 0-1.306-.984-2.283-2.324-2.386v-.055a2.176 2.176 0 0 0 1.852-2.14c0-1.51-1.162-2.46-3.014-2.46H3.843V13H8.21zM5.908 4.674h1.696c.963 0 1.517.451 1.517 1.244 0 .834-.629 1.32-1.73 1.32H5.908V4.673zm0 6.788V8.598h1.73c1.217 0 1.88.492 1.88 1.415 0 .943-.643 1.449-1.832 1.449H5.907z' /%3e%3c/svg%3e")}
.icon-italic{background-image:url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath d='M7.991 11.674 9.53 4.455c.123-.595.246-.71 1.347-.807l.11-.52H7.211l-.11.52c1.06.096 1.128.212 1.005.807L6.57 11.674c-.123.595-.246.71-1.346.806l-.11.52h3.774l.11-.52c-1.06-.095-1.129-.211-1.006-.806z' /%3e%3c/svg%3e")}
.icon-underline{background-image:url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath d='M5.313 3.136h-1.23V9.54c0 2.105 1.47 3.623 3.917 3.623s3.917-1.518 3.917-3.623V3.136h-1.23v6.323c0 1.49-.978 2.57-2.687 2.57-1.709 0-2.687-1.08-2.687-2.57V3.136zM12.5 15h-9v-1h9v1z' /%3e%3c/svg%3e")}
.icon-strike{background-image:url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath d='M6.333 5.686c0 .31.083.581.27.814H5.166a2.776 2.776 0 0 1-.099-.76c0-1.627 1.436-2.768 3.48-2.768 1.969 0 3.39 1.175 3.445 2.85h-1.23c-.11-1.08-.964-1.743-2.25-1.743-1.23 0-2.18.602-2.18 1.607zm2.194 7.478c-2.153 0-3.589-1.107-3.705-2.81h1.23c.144 1.06 1.129 1.703 2.544 1.703 1.34 0 2.31-.705 2.31-1.675 0-.827-.547-1.374-1.914-1.675L8.046 8.5H1v-1h14v1h-3.504c.468.437.675.994.675 1.697 0 1.826-1.436 2.967-3.644 2.967z' /%3e%3c/svg%3e")}
.icon-copy{background-image:url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3e%3cpath fill-rule='nonzero' d='M16 3H6a2 2 0 0 0-2 2v11h2V5h10V3Zm1 4a2 2 0 0 1 2 2v10a2 2 0 0 1-2 2h-7a2 2 0 0 1-2-2V9c0-1.2.9-2 2-2h7Zm0 12V9h-7v10h7Z'%3e%3c/path%3e%3c/svg%3e ")}
.icon-paste{background-image:url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3e%3cpath fill-rule='nonzero' d='M18 9V5h-2v1c0 .6-.4 1-1 1H9a1 1 0 0 1-1-1V5H6v13h3V9h9ZM9 20H6a2 2 0 0 1-2-2V5c0-1.1.9-2 2-2h3.2A3 3 0 0 1 12 1a3 3 0 0 1 2.8 2H18a2 2 0 0 1 2 2v4h1v12H9v-1Zm1.5-9.5v9h9v-9h-9ZM12 3a1 1 0 0 0-1 1c0 .5.4 1 1 1s1-.5 1-1-.4-1-1-1Z'%3e%3c/path%3e%3c/svg%3e ")}
.icon-cut{background-image:url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3e%3cpath fill-rule='evenodd' d='M18 15c.6.7 1 1.4 1 2.3 0 .8-.2 1.5-.7 2l-.8.5-1 .2c-.4 0-.8 0-1.2-.3a3.9 3.9 0 0 1-2.1-2.2c-.2-.5-.3-1-.2-1.5l-1-1-1 1c0 .5 0 1-.2 1.5-.1.5-.4 1-.9 1.4-.3.4-.7.6-1.2.8l-1.2.3c-.4 0-.7 0-1-.2-.3 0-.6-.3-.8-.5-.5-.5-.8-1.2-.7-2 0-.9.4-1.6 1-2.2A3.7 3.7 0 0 1 8.6 14H9l1-1-4-4-.5-1a3.3 3.3 0 0 1 0-2c0-.4.3-.7.5-1l6 6 6-6 .5 1a3.3 3.3 0 0 1 0 2c0 .4-.3.7-.5 1l-4 4 1 1h.5c.4 0 .8 0 1.2.3.5.2.9.4 1.2.8Zm-8.5 2.2.1-.4v-.7a1 1 0 0 0-.2-.5 1 1 0 0 0-.4-.2 1.6 1.6 0 0 0-.8 0 2.6 2.6 0 0 0-.8.3 2.5 2.5 0 0 0-.9 1.1l-.1.4v.7l.2.5.5.2h.7a2.5 2.5 0 0 0 .8-.3 2.8 2.8 0 0 0 1-1Zm2.5-2.8c.4 0 .7-.1 1-.4.3-.3.4-.6.4-1s-.1-.7-.4-1c-.3-.3-.6-.4-1-.4s-.7.1-1 .4c-.3.3-.4.6-.4 1s.1.7.4 1c.3.3.6.4 1 .4Zm5.4 4 .2-.5v-.7a2.6 2.6 0 0 0-.3-.8 2.4 2.4 0 0 0-.7-.7 2.5 2.5 0 0 0-.8-.3 1.5 1.5 0 0 0-.8 0 1 1 0 0 0-.4.2 1 1 0 0 0-.2.5 1.5 1.5 0 0 0 0 .7v.4l.3.4.3.4a2.8 2.8 0 0 0 .8.5l.4.1h.7l.5-.2Z'%3e%3c/path%3e%3c/svg%3e")}
.icon-ullist{background-image:url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3e%3cpath fill-rule='evenodd' d='M11 5h8c.6 0 1 .4 1 1s-.4 1-1 1h-8a1 1 0 0 1 0-2Zm0 6h8c.6 0 1 .4 1 1s-.4 1-1 1h-8a1 1 0 0 1 0-2Zm0 6h8c.6 0 1 .4 1 1s-.4 1-1 1h-8a1 1 0 0 1 0-2ZM4.5 6c0-.4.1-.8.4-1 .3-.4.7-.5 1.1-.5.4 0 .8.1 1 .4.4.3.5.7.5 1.1 0 .4-.1.8-.4 1-.3.4-.7.5-1.1.5-.4 0-.8-.1-1-.4-.4-.3-.5-.7-.5-1.1Zm0 6c0-.4.1-.8.4-1 .3-.4.7-.5 1.1-.5.4 0 .8.1 1 .4.4.3.5.7.5 1.1 0 .4-.1.8-.4 1-.3.4-.7.5-1.1.5-.4 0-.8-.1-1-.4-.4-.3-.5-.7-.5-1.1Zm0 6c0-.4.1-.8.4-1 .3-.4.7-.5 1.1-.5.4 0 .8.1 1 .4.4.3.5.7.5 1.1 0 .4-.1.8-.4 1-.3.4-.7.5-1.1.5-.4 0-.8-.1-1-.4-.4-.3-.5-.7-.5-1.1Z'%3e%3c/path%3e%3c/svg%3e")}
.icon-ollist{background-image:url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3e%3cpath fill-rule='evenodd' d='M10 17h8c.6 0 1 .4 1 1s-.4 1-1 1h-8a1 1 0 0 1 0-2Zm0-6h8c.6 0 1 .4 1 1s-.4 1-1 1h-8a1 1 0 0 1 0-2Zm0-6h8c.6 0 1 .4 1 1s-.4 1-1 1h-8a1 1 0 1 1 0-2ZM6 4v3.5c0 .3-.2.5-.5.5a.5.5 0 0 1-.5-.5V5h-.5a.5.5 0 0 1 0-1H6Zm-1 8.8.2.2h1.3c.3 0 .5.2.5.5s-.2.5-.5.5H4.9a1 1 0 0 1-.9-1V13c0-.4.3-.8.6-1l1.2-.4.2-.3a.2.2 0 0 0-.2-.2H4.5a.5.5 0 0 1-.5-.5c0-.3.2-.5.5-.5h1.6c.5 0 .9.4.9 1v.1c0 .4-.3.8-.6 1l-1.2.4-.2.3ZM7 17v2c0 .6-.4 1-1 1H4.5a.5.5 0 0 1 0-1h1.2c.2 0 .3-.1.3-.3 0-.2-.1-.3-.3-.3H4.4a.4.4 0 1 1 0-.8h1.3c.2 0 .3-.1.3-.3 0-.2-.1-.3-.3-.3H4.5a.5.5 0 1 1 0-1H6c.6 0 1 .4 1 1Z'%3e%3c/path%3e%3c/svg%3e")}
.icon-left-align{background-image:url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' %3e%3cpath fill-rule='evenodd' d='M5 5h14c.6 0 1 .4 1 1s-.4 1-1 1H5a1 1 0 1 1 0-2Zm0 4h8c.6 0 1 .4 1 1s-.4 1-1 1H5a1 1 0 1 1 0-2Zm0 8h8c.6 0 1 .4 1 1s-.4 1-1 1H5a1 1 0 0 1 0-2Zm0-4h14c.6 0 1 .4 1 1s-.4 1-1 1H5a1 1 0 0 1 0-2Z'%3e%3c/path%3e%3c/svg%3e ")}
.icon-right-align{background-image:url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3e%3cpath fill-rule='evenodd' d='M5 5h14c.6 0 1 .4 1 1s-.4 1-1 1H5a1 1 0 1 1 0-2Zm6 4h8c.6 0 1 .4 1 1s-.4 1-1 1h-8a1 1 0 0 1 0-2Zm0 8h8c.6 0 1 .4 1 1s-.4 1-1 1h-8a1 1 0 0 1 0-2Zm-6-4h14c.6 0 1 .4 1 1s-.4 1-1 1H5a1 1 0 0 1 0-2Z'%3e%3c/path%3e%3c/svg%3e")}
.icon-center-align{background-image:url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3e%3cpath fill-rule='evenodd' d='M5 5h14c.6 0 1 .4 1 1s-.4 1-1 1H5a1 1 0 1 1 0-2Zm3 4h8c.6 0 1 .4 1 1s-.4 1-1 1H8a1 1 0 1 1 0-2Zm0 8h8c.6 0 1 .4 1 1s-.4 1-1 1H8a1 1 0 0 1 0-2Zm-3-4h14c.6 0 1 .4 1 1s-.4 1-1 1H5a1 1 0 0 1 0-2Z'%3e%3c/path%3e%3c/svg%3e")}
.icon-hyperlink{background-image:url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round' class='feather feather-link-2'%3e%3cpath d='M15 7h3a5 5 0 0 1 5 5 5 5 0 0 1-5 5h-3m-6 0H6a5 5 0 0 1-5-5 5 5 0 0 1 5-5h3'%3e%3c/path%3e%3cline x1='8' y1='12' x2='16' y2='12'%3e%3c/line%3e%3c/svg%3e")}
.icon-undo{background-image:url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 512 512'%3e%3cpath d='M464,440l-28.12-32.11c-22.48-25.65-43.33-45.45-72.08-58.7-26.61-12.26-60-18.65-104.27-19.84V432L48,252,259.53,72V175.21c72.88,3,127.18,27.08,161.56,71.75C449.56,284,464,335.19,464,399.26Z'/%3e%3c/svg%3e")}
.icon-redo{background-image:url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 512 512'%3e%3cpath d='M48,399.26C48,335.19,62.44,284,90.91,247c34.38-44.67,88.68-68.77,161.56-71.75V72L464,252,252.47,432V329.35c-44.25,1.19-77.66,7.58-104.27,19.84-28.75,13.25-49.6,33.05-72.08,58.7L48,440Z'/%3e%3c/svg%3e");fill:red}
.icon-remove-format{background-image:url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3e%3cpath fill-rule='evenodd' d='M13.2 6a1 1 0 0 1 0 .2l-2.6 10a1 1 0 0 1-1 .8h-.2a.8.8 0 0 1-.8-1l2.6-10H8a1 1 0 1 1 0-2h9a1 1 0 0 1 0 2h-3.8ZM5 18h7a1 1 0 0 1 0 2H5a1 1 0 0 1 0-2Zm13 1.5L16.5 18 15 19.5a.7.7 0 0 1-1-1l1.5-1.5-1.5-1.5a.7.7 0 0 1 1-1l1.5 1.5 1.5-1.5a.7.7 0 0 1 1 1L17.5 17l1.5 1.5a.7.7 0 0 1-1 1Z'%3e%3c/path%3e%3c/svg%3e")}
.icon-quote{background-image:url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3e%3cpath fill-rule='nonzero' d='M7.5 17h.9c.4 0 .7-.2.9-.6L11 13V8c0-.6-.4-1-1-1H6a1 1 0 0 0-1 1v4c0 .6.4 1 1 1h2l-1.3 2.7a1 1 0 0 0 .8 1.3Zm8 0h.9c.4 0 .7-.2.9-.6L19 13V8c0-.6-.4-1-1-1h-4a1 1 0 0 0-1 1v4c0 .6.4 1 1 1h2l-1.3 2.7a1 1 0 0 0 .8 1.3Z'%3e%3c/path%3e%3c/svg%3e")}
.icon-add-indent{background-image:url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3e%3cpath fill-rule='evenodd' d='M7 5h12c.6 0 1 .4 1 1s-.4 1-1 1H7a1 1 0 1 1 0-2Zm5 4h7c.6 0 1 .4 1 1s-.4 1-1 1h-7a1 1 0 0 1 0-2Zm0 4h7c.6 0 1 .4 1 1s-.4 1-1 1h-7a1 1 0 0 1 0-2Zm-5 4h12a1 1 0 0 1 0 2H7a1 1 0 0 1 0-2Zm-2.6-3.8L6.2 12l-1.8-1.2a1 1 0 0 1 1.2-1.6l3 2a1 1 0 0 1 0 1.6l-3 2a1 1 0 1 1-1.2-1.6Z'%3e%3c/path%3e%3c/svg%3e")}
.icon-delete-indent{background-image:url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3e%3cpath fill-rule='evenodd' d='M7 5h12c.6 0 1 .4 1 1s-.4 1-1 1H7a1 1 0 1 1 0-2Zm5 4h7c.6 0 1 .4 1 1s-.4 1-1 1h-7a1 1 0 0 1 0-2Zm0 4h7c.6 0 1 .4 1 1s-.4 1-1 1h-7a1 1 0 0 1 0-2Zm-5 4h12a1 1 0 0 1 0 2H7a1 1 0 0 1 0-2Zm1.6-3.8a1 1 0 0 1-1.2 1.6l-3-2a1 1 0 0 1 0-1.6l3-2a1 1 0 0 1 1.2 1.6L6.8 12l1.8 1.2Z'%3e%3c/path%3e%3c/svg%3e")}
.icon-image{background-image:url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3e%3cpath fill-rule='nonzero' d='m5 15.7 3.3-3.2c.3-.3.7-.3 1 0L12 15l4.1-4c.3-.4.8-.4 1 0l2 1.9V5H5v10.7ZM5 18V19h3l2.8-2.9-2-2L5 17.9Zm14-3-2.5-2.4-6.4 6.5H19v-4ZM4 3h16c.6 0 1 .4 1 1v16c0 .6-.4 1-1 1H4a1 1 0 0 1-1-1V4c0-.6.4-1 1-1Zm6 8a2 2 0 1 0 0-4 2 2 0 0 0 0 4Z'%3e%3c/path%3e%3c/svg%3e")}






.icon {
  display: inline-block;
  width: 24px;
  height: 24px;
	line-height: 25px;
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  border: none !important;
  outline: none !important;
}

/* 1. Code Icon (stroke='%23fff') */
.svg-code {
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 22 22' fill='none' stroke='%23fff' stroke-width='1'%3E%3Cpolyline points='16 18 22 12 16 6'/%3E%3Cpolyline points='8 6 2 12 8 17'/%3E%3Cline x1='14' y1='1' x2='9' y2='20'/%3E%3C/svg%3E");
}
/* 2. Bug Icon (stroke='%23fff') */
.svg-bug {
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 21 21' fill='none' stroke='%23fff' stroke-width='1'%3E%3Crect x='6' y='2' width='12' height='16' rx='7'/%3E%3Cpath d='M12 7V3'/%3E%3Cpath d='M8 3c0 1.5 1 2.5 2 2.5M16 3c0 1.5-1 2.5-2 2.5'/%3E%3Cpath d='M6 9H3M6 13H2M6 17H3'/%3E%3Cpath d='M18 9h3M18 13h4M18 17h3'/%3E%3C/svg%3E");
}
/* 3. Wrench Icon (stroke='%23fff') */
.svg-wrench {
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' fill='none' stroke='%23fff' stroke-width='1'%3E%3Cpath d='M14.7 6.3a1 1 0 0 0 0 1.4l1.6 1.6a1 1 0 0 0 1.4 0l3.77-3.77a6 6 0 0 1-7.94 7.94l-6.91 6.91a2.12 2.12 0 0 1-3-3l6.91-6.91a6 6 0 0 1 7.94-7.94l-3.77 3.77z'/%3E%3C/svg%3E");
}
/* 4. Gear Icon (stroke='%23fff') */
.svg-gear {
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 27 27' fill='none' stroke='%23fff' stroke-width='1'%3E%3Cpath d='M19.43 12.98c.04-.32.07-.64.07-.98s-.03-.66-.07-.98l2.11-1.65c.19-.15.24-.42.12-.64l-2-3.46c-.12-.22-.39-.3-.61-.22l-2.49 1a9.86 9.86 0 0 0-1.69-.98l-.38-2.65C14.46 2.18 14.25 2 14 2h-4c-.25 0-.46.18-.49.42l-.38 2.65c-.61.25-1.17.59-1.69.98l-2.49-1c-.23-.09-.49 0-.61.22l-2 3.46c-.13.22-.07.49.12.64l2.11 1.65c-.04.32-.07.65-.07.98s.03.66.07.98l-2.11 1.65c-.19.15-.24.42-.12.64l2 3.46c.12.22.39.3.61.22l2.49-1c.52.4 1.08.73 1.69.98l.38 2.65c.03.24.24.42.49.42h4c.25 0 .46-.18.49-.42l-.38-2.65c.61-.25 1.17-.59 1.69-.98l2.49 1c.23.09.49 0 .61-.22l2-3.46c.12-.22.07-.49-.12-.64l-2.11-1.65zM12 15.5c-1.93 0-3.5-1.57-3.5-3.5s1.57-3.5 3.5-3.5 3.5 1.57 3.5 3.5-1.57 3.5-3.5 3.5z'/%3E%3C/svg%3E");
}
/* 5. Power Icon (stroke='%23fff') */
.svg-power {
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 26 26' fill='none' stroke='%23fff' stroke-width='1'%3E%3Cpath d='M12 2c-.55 0-1 .45-1 1v8c0 .55.45 1 1 1s1-.45 1-1V3c0-.55-.45-1-1-1zm4.82 2.18c-.4-.39-1.03-.39-1.42 0-.39.39-.39 1.02 0 1.41C17.77 7.96 19 10.34 19 13c0 3.87-3.13 7-7 7s-7-3.13-7-7c0-2.66 1.23-5.04 3.6-6.41.39-.4.39-1.02 0-1.41-.39-.39-1.03-.39-1.42 0C4.31 6.94 3 9.81 3 13c0 4.97 4.03 9 9 9s9-4.03 9-9c0-3.19-1.31-6.06-4.18-7.82z'/%3E%3C/svg%3E");
}







/* THEME */
body,html{width:100%;height:100%;text-align:center;}
body{font-family:"Lucida Grande","Lucida Sans Unicode","Lucida Sans",Verdana,Arial,Helvetica,sans-serif;font-size:100%;
text-rendering: optimizeLegibility;
position: relative;
}
ul,li,ol{list-style:none}
a{text-decoration:none}
 




/* header */
header{background-color:#011a37;width:100%;height:var(--head-height);min-height:var(--head-height);line-height:var(--head-height);position:relative;display:flex;align-items:stretch;z-index:1}
.title{background-color:#021731;color:#f7f7f7;border-right:1px solid #010c19;font-weight:700;width:var(--logo-size);display:inline;float:left;font-size:100%;height:var(--logo-size);padding:0;margin:0}
.title a{color:#ccc;display:block;height:52px;width:var(--logo-size)}
.title sup{font-size:50%;font-weight:400}
#actions{display:flex;text-align:left;width:var(--actions-width);flex-wrap:nowrap}
#code-actions{display:flex;flex-wrap:nowrap;width:var(--code-actions-width);justify-content:left;padding-left:calc(var(--main-width) - 200px)}
#code-actions button{background-color:#022d5f;border:2px solid #023269;color:#c8d7e8!important;font-size:65%;cursor:pointer;text-align:center;text-overflow:ellipsis;white-space:nowrap;margin:0;padding:0 7px;height:46px;line-height:13px;margin-top:3px;font-weight:400;min-width:100px}
#user-actions{display:flex;flex-wrap:nowrap;width:var(--user-actions-width);justify-content:right}
#user-actions button{background-color:transparent;width:70px;color:#ddd;padding:.2vh;font-size:85%}
#user-actions i{line-height:25px;font-size:103%!important}
#user-actions b{text-align:center;text-overflow:ellipsis;white-space:nowrap;font-size:77%;display:block;line-height:13px;white-space:nowrap;overflow:hidden;text-overflow:hidden}
#filesLen{background-color:#011f41;border:1px solid #3464a7;font-weight:400;margin:0;display:inline-block;color:#bbb;padding:0;font-size:75%;border-radius:50%;height:24px;line-height:24px;width:24px}
#coderun{min-width:100px}


 /* MAIN  */
main{background:hsl(212,96%,19%);width:var(--main-width);text-align:left;border:2px solid transparent;margin:0;position:absolute;overflow:hidden;top:0;left:52px;z-index:2;height:var(--header-height);margin:0;padding:0;width:calc(var(--main-width) - 228px);line-height:1.4;height:52px;vertical-align:baseline;border:2px solid hsl(212,96%,21%)}
main textarea,main input{color:#fff;background-color:transparent}
main:hover{ height:auto;min-height:530px;background-color:#fff;z-index:3;color:#333}
main:hover textarea,main:hover input{color:#111!important}
#page_title{height:calc(var(--header-height) - 4px);color:#FFF;font-size:107%;line-height:48px;white-space:nowrap;width:100%;color:#ddd;margin:0;padding:0;border:0;outline:none;font-weight:700;padding:0 6px}
#page_description{font-size:90%;line-height:1.3;padding:7px;border-top:1px solid #999;height:calc(var(--header-height) * 7);width:100%}
#page_tags_wrap{font-size:70%}
#page_timestamp{font-size:60%;color:#999;padding:7px}
#page_lastmodified{padding:7px}
#page_version{padding:7px}
#page_screenshot img{max-width:200px;max-height:200px}
#page_tags{display:block}
#page_tags span{background:#ddd;border-radius:7px;overflow:hidden;display:inline-block;margin:3px;line-height:1.4;padding:5px}
#page_tags span b{font-size:100%;cursor:default;height:24px;line-height:24px;display:inline-block;height:24px;padding-right:4px}
#page_tags span i{width:24px;height:24px;display:inline-block;text-align:center;cursor:pointer;background:#eee;font-family:arial;font-style:normal;line-height:24px}
#search_tags{width:100%;height:35px;padding:5px;border:1px solid #333;font-size:14px;margin:0}
.saveas-btn{background:green;padding:1em;color:#FFF}
#saveasHTML{background:#32166f}
#saveasJSON{background:#466f38}
.content{overflow:hidden;display:block;width:100%;height:100%;text-align:left}
.content-left{display:block;height:100%;float:left;width:30px}
.content-right,#iframeWrap{display:block;height:100%}
.content textarea{background-color:#ececf9;font-family:Verdana;font-size:11px;color:#333;resize:none}
.content textarea:focus{box-shadow:0 0 1px 1px rgba(0,0,0,.7)inset;outline:#003eac solid 1px}
.content form,.content textarea,iframe{width:100%;height:100%;display:block}
.codetitle{text-align:center;font-size:43%;background-color:#fff;color:#333;display:block;height:16px;line-height:16px;opacity:.7;position:absolute;right:0;top:0;z-index:1;width:20px;overflow:hidden;border-bottom-left-radius:5px}
.content-center,.content-center-center,.vertical-pane{border:none!important}
.vertical-pane{width:50%;height:100%}

/* EDITOR & TEXTAREA */
 #texthtmlonly,#boxJS,#boxHTML,#boxCSS{width:100%!important;min-width:100%!important;max-width:100%!important;height:calc(100% - 24px)!important;min-height:calc(100% - 24px)!important;max-height:calc(100% - 24px)!important;margin:0!important;padding:0!important;top:0!important;right:0!important;bottom:0!important;left:0!important;border:none!important}
#textJS,#textCSS,#textHTML, #textForHead, #textForBody{resize:none;  display: none; }


/*-- EDITOR ACTIONS --*/
h4[title~=HTML] {color:#ff3c41}
h4[title~=Javascript] {color:#fcd000}
h4[title~=CSS] {color:#0ebeff}
.header-editor{height:24px!important;background:#282a36;width:100%;line-height:24px; user-select: none;}
.header-editor i{color: #484848;}
.header-editor-title{width:calc(100% - 48px);float:left;line-height:24px;height:24px;font-family:arial black;font-size:11px; padding:0 5px;}
.header-editor-action{width:48px;height:24px;display:block;float:right;position:relative;text-align:center;line-height:24px}
.header-editor-action ul{text-align:left;display:none;z-index:199}
.header-editor-action ul li{height:auto;display:block;margin:0;padding:0;width:100%}
.header-editor-action button{text-align:left;border:0;border-bottom:1px solid #ddd;padding:0 12px;width:100%;line-height:24px;display:block;text-overflow:ellipsis;background:transparent;cursor:pointer;font-size:10px;color:#777}


/*-- LAYOUT -- */
.ui-layout-pane{background:#FFF;border:0 none;overflow:auto}
.ui-layout-content{padding:0;position:relative;overflow:auto}
.layout-child-container,.layout-content-container{padding:0;overflow:hidden}
.layout-child-container{border:0}
.layout-scroll{overflow:auto}
.layout-hide{display:none}
.ui-layout-resizer{background:#282a36d4;border:0;border-width:0;box-shadow:inset 0 0 2px 0 rgba(60,63,65,0.5)}
.ui-layout-resizer-dragging{border:0}
.ui-layout-resizer-north-dragging,.ui-layout-resizer-south-dragging{border-width:0}
.ui-layout-resizer-west-dragging,.ui-layout-resizer-east-dragging{border-width:0}
.ui-layout-resizer-dragging-limit{background:#e1a4a4}
.ui-layout-resizer-sliding{opacity:.1;}

.ui-layout-toggler{border:1px solid #ccc;background-color:#999}
.ui-layout-toggler-north,.ui-layout-toggler-south{border-width:0}
.ui-layout-toggler-west,.ui-layout-toggler-east{border-width:0}
.ui-layout-resizer-sliding .ui-layout-toggler{display:none}
.ui-layout-toggler .content{color:#666;font-size:12px;font-weight:700;width:100%;padding-bottom:.35ex}
.ui-layout-mask{border:none!important;padding:0!important;margin:0!important;overflow:hidden!important;position:absolute!important;opacity:0!important;}
.ui-layout-mask-inside-pane{top:0!important;left:0!important;width:100%!important;height:100%!important}






/* PLUGIN REPLACE */
#acetexthtml{position:absolute;top:0;bottom:0;right:0;left:0;display:none}
#replaceArea_1,#replaceArea_2{padding:0;display:block;width:90%;height:74px;border:1px solid #CCC;margin:3px auto 1px;clear:both}
#replaceButton{padding:.6em;font-size:12px}
.label{color:#222;background-color:#ccc;padding:.6em .1em;margin:1px;font-size:12px}


/* -- ANOTHER SCREENS --*/
@media screen and (max-width:800px) {
.nav b{display:none}
.nav button i{display:inline;visibility:visible}
}







 








/* ===STRUCTURE===*/
#structure{text-align:left;user-select:none;position:relative;overflow: hidden;}
.section{background-color:#ddd;border-bottom:1px solid #a5a5a5;border-top:1px solid #f1f1f1;color:#555;display:block;overflow:hidden;line-height:100%}
.section span{font-size:11px;background-color:#a5a5a5;color:#fff;padding:3px 4px;margin:1px;display:inline-block}
.search-files{
   width: calc(100% - 20px);
  outline: none;
  border: 3px solid #ccc;
  height: 25px;
  margin: 5px 10px;
  padding: 1.2em .3em;
  font-size: 13px;
}
#inHead,#inBody{width:calc(100% - 20px)!important;min-height:20px;max-height:110px;overflow-y:auto;overflow-x:hidden;padding:5px;margin:0 auto;background:#e9e9ef}
#inHead:empty::after,#inBody:empty::after{content:"you can add or drag some files here";height:45px;line-height:45px;border:2px dashed #ccc;margin:0 auto;color:#ccc;width:100%;display:block;text-align:center;font-size:13px}
#inHead li,#inBody li{width:100%;background-color:#f9f9f9;box-shadow:0 1px 3px rgba(0,0,0,0.12),0 1px 2px rgba(0,0,0,0.24);height:28px;line-height:28px;color:#232323;font-size:12px;overflow:hidden;position:relative;margin:1px;display:block;margin-bottom:.2rem;border-radius:.25rem}
.allowmove{float:left;width:30px;height:100%;margin:0;cursor:move;background-image:url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 448 512'%3e%3cpath d='M0 96C0 78.3 14.3 64 32 64H416c17.7 0 32 14.3 32 32s-14.3 32-32 32H32C14.3 128 0 113.7 0 96zM0 256c0-17.7 14.3-32 32-32H416c17.7 0 32 14.3 32 32s-14.3 32-32 32H32c-17.7 0-32-14.3-32-32zM448 416c0 17.7-14.3 32-32 32H32c-17.7 0-32-14.3-32-32s14.3-32 32-32H416c17.7 0 32 14.3 32 32z'/%3e%3c/svg%3e");background-size:50% 50%;background-position:center center;background-repeat:no-repeat}
.exname{float:left;text-overflow:ellipsis;white-space:nowrap;width:calc(100% -46px)!important;padding:0 7px;font-weight:700;color:#444}
.filedelete{margin:0;padding:0;position:absolute;top:0;right:0;height:100%;background:#ffe4e9;border-top-right-radius:.25rem;border-bottom-right-radius:.25rem;width:40px;text-align:center;line-height:1}
.filedelete button{margin:0;width:100%;height:100%;outline:none;border:none;background:none;cursor:pointer;background-color:#ffe4e9;background-image:url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 448 512'%3e%3cpath d='M192 188v216c0 6.627-5.373 12-12 12h-24c-6.627 0-12-5.373-12-12V188c0-6.627 5.373-12 12-12h24c6.627 0 12 5.373 12 12zm100-12h-24c-6.627 0-12 5.373-12 12v216c0 6.627 5.373 12 12 12h24c6.627 0 12-5.373 12-12V188c0-6.627-5.373-12-12-12zm132-96c13.255 0 24 10.745 24 24v12c0 6.627-5.373 12-12 12h-20v336c0 26.51-21.49 48-48 48H80c-26.51 0-48-21.49-48-48V128H12c-6.627 0-12-5.373-12-12v-12c0-13.255 10.745-24 24-24h74.411l34.018-56.696A48 48 0 0 1 173.589 0h100.823a48 48 0 0 1 41.16 23.304L349.589 80H424zm-269.611 0h139.223L276.16 50.913A6 6 0 0 0 271.015 48h-94.028a6 6 0 0 0-5.145 2.913L154.389 80zM368 128H80v330a6 6 0 0 0 6 6h276a6 6 0 0 0 6-6V128z'%3e%3c/path%3e%3c/svg%3e");background-repeat:no-repeat;fill:#db1b6d;background-size:60% 60%;background-position:center center;background-repeat:no-repeat}
.filedelete button:hover{background-color:#db1b6d;fill:#fff}
.placeBeforeLeave{background:#FFF4C2!important;border:1px solid #FC3;min-height:20px!important}
input.search-files:focus{border:3px solid #0081C3}


/* USER DATA */
#userData > ul{display:flex;flex-direction:row}
#userData > ul > button{overflow:visible;display:flex;background:#FFF;width:99px;height:70px;flex-direction:column;padding:.5em}
#userData > ul > li{overflow:visible;flex-direction:column;padding:0;max-height:3em}
#userData > ul > li > button{padding:5px}
#userData > ul >li > button > b{font-size:100%}
#userData .icons{max-height:1.5em}
#userData > ul > li.active > button{background-color:#FFF}



/*--- CODEBASE --*/
#Codebase{background:#272944}
#Codebase-search{position:relative}
#Codebase-search-input,#Blog-search-input{display:flex;align-items:center;display:flex;flex:1 0 32px;justify-content:center;background-color:#FFF}
#Codebase-search-results ul{position:absolute;display:flex;flex-direction:column;background:#FFF;z-index:101!important;width:100%}
#Codebase-search-results ul li{padding:1em;font-size:80%;border-bottom:1px solid #bbb;text-align:left}
#Codebase-search input{padding:1em;width:100%;font-size:90%}
#Blog-search input{padding:1em;width:calc(100% - 50px);font-size:90%}
#Codebase-inner{display:grid;grid-template-columns:repeat(3,minmax(0,1fr));grid-gap:12px;justify-content:center;padding:1rem;line-height:1.2;text-align:left;color:#f6efff}
.codefile{background:#111113;border:7px solid #313131;position:relative;display:flex;flex-wrap:nowrap;flex-direction:column;border-radius:5px}
.codefile:after{position:absolute;height:100%;width:100%;top:0;left:0;right:0;bottom:0;background:#fff;display:block;content:" ";z-index:-1;opacity:.1}
.codefile:hover{border:7px solid #555}
.codefile h4{font-weight:700;font-size:85%;padding:.3em}
.codefile .desc{font-size:80%}
.codefile p{display:block;overflow:hidden;padding:.2em}
.codefile img{display:block;width:100%;height:150px!important}
.codefile button.delete{position:absolute;top:5px;right:5px;background:#e1cfcf;color:#fff;z-index:9;border-radius:50%;width:24px;height:24px;line-height:24px}
.codefile .tags{display:block;overflow:hidden;font-size:70%}
.codefile .tags span{background:#777;color:#fff;margin-right:.3em;padding:.3em;font-size:95%;display:inline-block;overflow: auto;}
.codefile .datetime{font-size:70%;color:#aaa}
.codefile button.delete:hover{background:red}
#Codebase button{z-index:9;padding: 0.3em;border-radius: 2px;}


/*  BLOG */
#Blog{display:block}
#Blog-search{position:relative}
#Blog-search-input{display:flex;align-items:center;flex:1 0 32px;justify-content:center;background-color:#FFF}
#Blog-search-results ul{position:absolute;display:flex;flex-direction:column;background:#FFF;z-index:23;width:100%}
#Blog-search-results ul li{padding:1em;font-size:80%;border-bottom:1px solid #bbb;text-align:left}
#Blog-search input{padding:1em;width:100%;font-size:90%}
#Blog-btns{display:block}
#Blog-inner{display:block}
.blogpost{border:0;position:relative;display:flex;flex-wrap:nowrap;flex-direction:column;border-radius:5px;padding:10px;text-align:left;border-bottom:1px solid #ccc}
.blogpost:after{position:absolute;height:100%;width:100%;top:0;left:0;right:0;bottom:0;background:#fff;display:block;content:" ";z-index:1;opacity:.1}
.blogpost h4{font-size:125%}
.blogpost button{position:absolute;top:calc(50% - 18px);right:15px;width:36px;height:36px;line-height:36px;z-index:2}
.blogpost button.edit{right:55px}
.blogpost button.view{right:96px}
.blogpost button.delete{position:absolute;top:calc(50% - 18px);right:15px;width:36px;height:36px;line-height:36px;z-index:2}
.addpost{padding:1em;width:100%;min-height:3em;font-size:90%}
#AddPost{padding:1em;background:#ddd;text-align:left}
#Blog-btns > ul > li > button{padding:1em;border:1px solid #bbb;margin:.3em}
#Blog-btns > ul{display:flex;flex-direction:row}
.jsPanel-ftr button{background:green;padding:.7em 1em;color:#FFF}
#BackUpRestore button,#BackUpRestore input{padding:.5em}


/* TOOLS LIST  */
.tools-head{background-color:#eee;border-bottom:1px solid #aaa;text-align:center;font-size:12px;height:25px;line-height:25px;clear:both;font-weight:bold;}
.tools-head div{width:33%;display:inline-block;}
.tools-head span{display:block;}
.tools-head-html span{border-right:1px solid #ccc;}
.tools-head-js span{border-right:1px solid #ccc;}

.tools-search{background-color:#ddd;border-bottom:1px solid #bbb;text-align:center;}
.tools-search input{width: calc(100% - 14px);
margin: 7px;
padding: 7px;
font-size: 13px;
background-color: #eee;
border: 2px solid #bbb;
}
.tools-search input:focus{background-color:#FFF;border:2px solid #0081C3}

.tools-content{clear:both;font-size:11px;display: flex;}
.tools-content div{width:33%;display:inline-block;min-width:170px;}
.tools-content ul{list-style:none;}
.tools-content ul li{border-bottom:1px solid #CCC;cursor:pointer}
.tools-content ul li:hover{background-color:#043d7e;color:#FFF;border-bottom:1px solid #004783;font-weight:bold;}
.tools-content ul li span{padding:5px 7px;margin:0px;display:block;}
.tools-content-html ul{border-right:1px solid #CCC;}
.tools-content-js ul{border-right:1px solid #CCC;}
a{color:#232323;text-decoration:none;}
.tools-content ul li:hover a{color:#FFF;}



@keyframes wb-fade-in{0%{opacity:0}to{opacity:.85}}.winbox{position:fixed;left:0;top:0;background:#0050ff;box-shadow:0 14px 28px rgba(0,0,0,.25),0 10px 10px rgba(0,0,0,.22);transition:width .3s,height .3s,left .3s,top .3s;transition-timing-function:cubic-bezier(.3,1,.3,1);contain:layout size;text-align:left;touch-action:none}.wb-body,.wb-header{position:absolute;left:0}.wb-header{top:0;width:100%;height:35px;line-height:35px;color:#fff;overflow:hidden;z-index:1}.wb-body{top:35px;right:0;bottom:0;overflow:auto;-webkit-overflow-scrolling:touch; will-change:contents;background:#fff;margin-top:0!important;contain:strict;z-index:0}.wb-control *,.wb-icon{background-repeat:no-repeat}.wb-drag{height:100%;padding-left:10px;cursor:move}.wb-title{font-family:Arial,sans-serif;font-size:14px;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}.wb-icon{display:none;width:20px;height:100%;margin:-1px 8px 0-3px;float:left;background-size:100%;background-position:center}.wb-e,.wb-w{width:10px;top:0}.wb-n,.wb-s{left:0;height:10px;position:absolute}.wb-n{top:-5px;right:0;cursor:n-resize;z-index:2}.wb-e{position:absolute;right:-5px;bottom:0;cursor:w-resize;z-index:2}.wb-s{bottom:-5px;right:0;cursor:n-resize;z-index:2}.wb-nw,.wb-sw,.wb-w{left:-5px}.wb-w{position:absolute;bottom:0;cursor:w-resize;z-index:2}.wb-ne,.wb-nw,.wb-sw{width:15px;height:15px;z-index:2;position:absolute}.wb-nw{top:-5px;cursor:nw-resize}.wb-ne,.wb-sw{cursor:ne-resize}.wb-ne{top:-5px;right:-5px}.wb-se,.wb-sw{bottom:-5px}.wb-se{position:absolute;right:-5px;width:15px;height:15px;cursor:nw-resize;z-index:2}.wb-control{float:right;height:100%;max-width:100%;text-align:center}.wb-control *{display:inline-block;width:30px;height:100%;max-width:100%;background-position:center;cursor:pointer}.no-close .wb-close,.no-full .wb-full,.no-header .wb-header,.no-max .wb-max,.no-min .wb-min,.no-resize .wb-body~div,.wb-body .wb-hide,.wb-show,.winbox.hide,.winbox.min .wb-body>*,.winbox.min .wb-full,.winbox.min .wb-min,.winbox.modal .wb-full,.winbox.modal .wb-max,.winbox.modal .wb-min{display:none}.winbox.max .wb-drag,.winbox.min .wb-drag{cursor:default}.wb-min{background-image:url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgMCAxNiAyIj48cGF0aCBmaWxsPSIjZmZmIiBkPSJNOCAwaDdhMSAxIDAgMCAxIDAgMkgxYTEgMSAwIDAgMSAwLTJoN3oiLz48L3N2Zz4=);background-size:14px auto;background-position:center calc(50% + 6px)}.wb-max{background-image:url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIGZpbGw9IiNmZmYiIHZpZXdCb3g9IjAgMCA5NiA5NiI+PHBhdGggZD0iTTIwIDcxLjMxMUMxNS4zNCA2OS42NyAxMiA2NS4yMyAxMiA2MFYyMGMwLTYuNjMgNS4zNy0xMiAxMi0xMmg0MGM1LjIzIDAgOS42NyAzLjM0IDExLjMxMSA4SDI0Yy0yLjIxIDAtNCAxLjc5LTQgNHY1MS4zMTF6Ii8+PHBhdGggZD0iTTkyIDc2VjM2YzAtNi42My01LjM3LTEyLTEyLTEySDQwYy02LjYzIDAtMTIgNS4zNy0xMiAxMnY0MGMwIDYuNjMgNS4zNyAxMiAxMiAxMmg0MGM2LjYzIDAgMTItNS4zNyAxMi0xMnptLTUyIDRjLTIuMjEgMC00LTEuNzktNC00VjM2YzAtMi4yMSAxLjc5LTQgNC00aDQwYzIuMjEgMCA0IDEuNzkgNCA0djQwYzAgMi4yMS0xLjc5IDQtNCA0SDQweiIvPjwvc3ZnPg==);background-size:17px auto}.wb-close{background-image:url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9Ii0xIC0xIDE4IDE4Ij48cGF0aCBmaWxsPSIjZmZmIiBkPSJtMS42MTMuMjEuMDk0LjA4M0w4IDYuNTg1IDE0LjI5My4yOTNsLjA5NC0uMDgzYTEgMSAwIDAgMSAxLjQwMyAxLjQwM2wtLjA4My4wOTRMOS40MTUgOGw2LjI5MiA2LjI5M2ExIDEgMCAwIDEtMS4zMiAxLjQ5N2wtLjA5NC0uMDgzTDggOS40MTVsLTYuMjkzIDYuMjkyLS4wOTQuMDgzQTEgMSAwIDAgMSAuMjEgMTQuMzg3bC4wODMtLjA5NEw2LjU4NSA4IC4yOTMgMS43MDdBMSAxIDAgMCAxIDEuNjEzLjIxeiIvPjwvc3ZnPg==);background-size:15px auto;background-position:5px center}.wb-full{background-image:url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIGZpbGw9Im5vbmUiIHN0cm9rZT0iI2ZmZiIgc3Ryb2tlLWxpbmVjYXA9InJvdW5kIiBzdHJva2Utd2lkdGg9IjIuNSIgdmlld0JveD0iMCAwIDI0IDI0Ij48cGF0aCBkPSJNOCAzSDVhMiAyIDAgMCAwLTIgMnYzbTE4IDBWNWEyIDIgMCAwIDAtMi0yaC0zbTAgMThoM2EyIDIgMCAwIDAgMi0ydi0zTTMgMTZ2M2EyIDIgMCAwIDAgMiAyaDMiLz48L3N2Zz4=);background-size:16px auto}.winbox.max .wb-body~div,.winbox.min .wb-body~div,.winbox.modal .wb-body~div,.winbox.modal .wb-drag,body.wb-lock iframe{pointer-events:none}.winbox.max{box-shadow:none}.winbox.max .wb-body{margin:0!important}.winbox iframe{position:absolute;width:100%;height:100%;border:0}body.wb-lock .winbox{will-change:left,top,width,height;transition:none}.winbox.modal:before{content:"";position:absolute;top:0;left:0;right:0;bottom:0;background:inherit;border-radius:inherit}.winbox.modal:after{content:"";position:absolute;top:-50vh;left:-50vw;right:-50vw;bottom:-50vh;background:#0d1117;animation:wb-fade-in .2s ease-out forwards;z-index:-1}.no-animation{transition:none}.no-shadow{box-shadow:none}.no-header .wb-body{top:0}.no-move:not(.min) .wb-title{pointer-events:none}.wb-body .wb-show{display:revert}